require 'page-object'
require_relative 'browser_container'

require_relative '../../lib/pages/login_page'
require_relative '../../lib/pages/eula'
require_relative '../../lib/pages/roa'
require_relative '../../lib/pages/right_side_nav'
require_relative '../../lib/pages/left_side_nav'
require_relative '../../lib/pages/launchpad'
require_relative '../../lib/pages/home/landing_page'
require_relative '../../lib/module/DBUtility'
require_relative '../../lib/pages/user_guide'
require_relative '../../lib/pages/about'
require_relative '../../lib/pages/support/support'
require_relative '../../lib/pages/learn_more/learn_more'
require_relative '../../lib/pages/learn_more/fitness'
require_relative '../../lib/pages/learn_more/health'
require_relative '../../lib/pages/learn_more/nutrition'
require_relative '../../lib/pages/learn_more/mood'
require_relative '../../lib/pages/goals/goal'
require_relative '../../lib/pages/error_validation'
require_relative '../../lib/pages/fitness_activity/fitness_listview'
require_relative '../../lib/pages/fitness_activity/fitness_activity'
require_relative '../../lib/pages/date_filter'
require_relative '../../lib/pages/health/health'
require_relative '../../lib/pages/calendar_picker'
require_relative '../../lib/pages/health/select_mood_rate'
require_relative '../../lib/pages/health/listview'
require_relative '../../lib/pages/health/health_detail'
require_relative '../../lib/pages/notifications/notification_detail'
require_relative '../../lib/pages/notifications/notifications'
require_relative '../../lib/pages/notifications/notification_settings'
require_relative '../../lib/pages/notifications/view_notification'
require_relative '../../lib/pages/notifications/notification_listview'
require_relative '../../lib/pages/carousel'

class Site < BrowserContainer

  def eula
    @eula = Eula.new(@driver)
  end

  def loginPage
    @loginPage = LoginPage.new(@driver)
  end

  def landing
    @landing = LandingPage.new(@driver)
  end

  def launchpad
    @launchpad = Launchpad.new(@driver)
  end

  def modal
    @modal = Modal.new(@driver)
  end

  def rightMenu
    @rightNav = RightSideNav.new(@driver)
  end

  def roa
    @roa = Roa.new(@driver)
  end

  def leftMenu
    @leftNav = LeftSideNav.new(@driver)
  end

  def userGuide
    @userGuide = UserGuide.new(@driver)
  end

  def about
    @about = About.new(@driver)
  end

  def support
    @support = Support.new(@driver)
  end

  def learnMore
    @learnMore = LearnMore.new(@driver)
  end

  def fitness
    @fitness = Fitness.new(@driver)
  end

  def learnMore_health
    @health = LearnMoreHealth.new(@driver)
  end

  def nutrition
    @nutrition = Nutrition.new(@driver)
  end

  def learnmore_mood
    @mood = LearnMoreMood.new(@driver)
  end

  def goal
    @goal = Goal.new(@driver)
  end

  def error
    @error = Error_Validation.new(@driver)
  end

  def fitness_listview
    @fitness_listview = FitnessListView.new(@driver)
  end

  def fitness_activity
    @fitness_activity = FitnessActivity.new(@driver)
  end

  def date_filter
    @date_filter = DateFilter.new(@driver)
  end

  def health
    @health = Health.new(@driver)
  end

  def calendar_picker
    @calendar_picker = CalendarPicker.new(@driver)
  end

  def select_mood
    @select_mood = SelectMoodRate.new(@driver)
  end

  def list_view
    @list_view = ListView.new(@driver)
  end

  def health_detail
    @detail = HealthDetail.new(@driver)
  end

  def notification_detail
    @notifiation_detail = NotificationDetail.new(@driver)
  end

  def notifications
    @notifications = Notifications.new(@driver)
  end

  def notification_setting
    @notification_setting = NotificationSetting.new(@driver)
  end

  def view_notification
    @view_notification = ViewNotification.new(@driver)
  end

  def notification_listview
    @list_view = NotificationListView.new(@driver)
  end

  def carousel
    @carousel = Carousel.new(@driver)
  end

  ############
  #  Methods #
  ############
  def quitDriver
    @driver.quit
  end

  def goto(base_url)
    @driver.goto(base_url + "/")
  end


  def resizeWindowTo(width, height)
    @driver.window.resize_to width, height
    sleep 0.5
  end

  def resizeWindowToPhone()
    resizeWindowTo(320, 480)
  end

  def resizeWindowToDefault()
    resizeWindowTo(1260, 727)
    sleep 0.5
  end

  def switchWindowByTitle(windowTitle)
    @driver.window(:title => windowTitle).use
  end

  def switchWindowToLast()
    @driver.windows.last.use
  end

  def switchWindowToFirst()
    @driver.windows.first.use
  end

  def getCurrentURL()
    return @driver.url
  end

  def closeBrowser()
    @driver.window.close
  end

  def refreshBrowser()
    @driver.refresh()
  end
end







