require 'page-object'
require_relative '../../lib/browser_container/browser_container'

class Common_Element < BrowserContainer
  include PageObject

  #app title
  h1(:appTitle, :css => 'h1')

  #footer
  div(:footer, :css => '.main-footer')

  #secondary pane
  elements(:secondaryOptions, :li, :css => '.secondary-list li')
  h2(:secondaryHeader, :css => '.secondary-header h2')

  #primary pane
  h2(:primaryHeader, :css => '.primary-header h2')
  span(:placeholderMessage, :css => '.placeholder-message')
  button(:backButton, :css => 'button[ng-click="goBack()"]')
  element(:backButtonIcon, :i,  :css => 'i.icon-nav-left-arrow')
  h3(:contentTitle, :css => '.primary-content .page  h3')
  form(:entryForm, :css => 'form')

  #graph
  button(:table, :css => "button[title='Table'][ng-click='button.onClick()']")
  button(:graph, :css => "button[title='Graph'][ng-click='button.onClick()']")
  div(:tableReferenceMsg, :css => "div.reference-table-message")

  #detail screen  - date, time, action buttons, note
  text_field(:date, :id => "date")
  button(:calendarPicker, :css => "button[ng-click='openCalendarPopup($event)']")
  text_field(:time, :id => "time")
  button(:timePicker, :css => "button[accessible-time-picker]")

  text_area(:note, :name => "Note")

  button(:save, :css => "button[ng-click='save()']")
  button(:cancel, :css => "button[ng-click='cancel()']")
  button(:delete, :css => "button[ng-click='delete()']")
  span(:characterCounter, :css => ".character-counter")

  #contentLoaded
  div(:contentLoaded, :css => 'div.content-loaded')

  #options for phone user
  button(:options, :css => "button[aria-label*='Options list button']")

  #notification button
  button(:notificationButton, :css => ".navbar-nav button[title*='Notification']")


  def getNthOption(number)
      return secondaryOptions_elements[number - 1].text
  end

  def getScreenContent()
    return entryForm_element.text
  end

  def getFocusedElement()
    return element_with_focus
  end

end