require 'page-object'
require_relative 'common_element'

class Table < Common_Element
  include PageObject

  button(:addButton, :css => "button[ng-click='getDetails()']")

  elements(:tableList, :li, :css => "list-table div.table-scroll-container ul li")
  elements(:tableHeaders, :span, :css => ".list-table div.header div > span")
  div(:noResultsMessage, :css => ".no-results-message[tabindex]")
  element(:firstTableRow, :li, :css => "list-table div.table-scroll-container ul li:nth-of-type(1)")

  def getTableHeaders()
    headerCount = tableHeaders_elements.length

    puts "Header Count " + headerCount.to_s

    headers = []
    for i in 0...headerCount
      if self.tableHeaders_elements[i].exists?
        puts "text is " + tableHeaders_elements[i].text.strip
        if(tableHeaders_elements[i].text.strip != "" and tableHeaders_elements[i].text.strip != nil)
          headers << tableHeaders_elements[i].text.strip
        end
      end
    end
    return headers
  end

  def getTextForRowCol(row, col)
     self.class.span(:cell, :css => "list-table div.table-scroll-container ul li:nth-of-type(" + row.to_s + ") > span:nth-of-type(" +  col.to_s + ") .cell-content")
     return self.cell_element.text.strip
  end

  def getRowIndex(text, column)
    index = -1
    count = tableList_elements.length

    for i in 1..count
      cellText = getTextForRowCol(i, column.to_i)
     # puts "text  to find" + text.to_s
     # puts "cell text " + cellText
      if cellText.strip == text.to_s.strip
        index = i
        break
      end
    end

    #puts "index is " + index.to_s
    return index
  end



end