require 'page-object'

class DateFilter
  include PageObject
  button(:filterSection, :css => "button[ng-click='toggleFilterState()']")
  element(:filterIcon, :i, :css => "button[ng-click='toggleFilterState()'] > i")

  element(:dateRangeLabel, :legend,  :css => "fieldset.date-range-control > legend")

  text_field(:startDate, :id => "startDate")
  text_field(:endDate, :id => "endDate")

  label(:startDateLabel, :css => "label[for='startDate']")
  label(:endDateLabel, :css => "label[for='endDate']")

  button(:startDatePicker, :css => "div[name='startDate'] button")
  button(:endDatePicker, :css => "div[name='endDate'] button")

  span(:dayOfWeekForStartDate, :css => "div[name='startDate'] span:nth-of-type(2)")
  span(:dayOfWeekForEndDate, :css => "div[name='endDate'] span:nth-of-type(2)")

  elements(:calendarDropDown, :ul,  :css => "ul[accessible-datepicker-alt-popup-wrap]")

  button(:filter, :css => "button[ng-click='filter()']")
  button(:reset, :css => "button[ng-click='reset()']")

  span(:requiredFieldLabel, :css => "span.required-field-text" )


  def isStartDateCalendarDisplayed()
    puts "1111   "  + calendarDropDown_elements[0].visible?.to_s
    puts "2222    " + calendarDropDown_elements[1].visible?.to_s

    return calendarDropDown_elements[0].visible?
  end

  def isEndDateCalendarDisplayed()
    return calendarDropDown_elements[1].visible?
  end

  def isFilterExpanded()
    isExpanded = false
    if (self.filterSection_element.attribute("title") == "Collapse filter options" and self.filterIcon_element.attribute("class").include?("icon-accordion-active"))
      isExpanded = true
    end
    return isExpanded
  end

end