require 'page-object'
require_relative '../../pages/modal_dialog'

class Goal < Modal
  include PageObject

  p(:infoText1, :css => ".modal-body p:nth-of-type(1)")
  p(:infoText2, :css => ".modal-body p:nth-of-type(2)")
  p(:checkWithProvider, :css => "form[name='goalForm'] div.top-space > div > p")
  span(:dateInstructionalText, :css => "span[ng-show='goalForm.startDate.$dirty']")
  form(:entryForm, :css => "form[name='goalForm']")
  h5(:instructionalText, :css => ".modal-header div.row h5")
  text_field(:minutes, :name => "minutes")
  text_field(:steps, :name => "steps")
  text_field(:miles, :name => "miles")
  text_field(:startDate, :css => "div.modal-body input[id='startDate']")
  button(:calendar, :css => "button[accessible-date-picker]")
  span(:startDateLabel, :css => "label[for='startDate'] span.input-label-content")

  button(:save, :css => "button[ng-click='ok()']")
  button(:cancel, :css => "button[ng-click='close()']")
  button(:reset, :css => "button[ng-click='reset()']")

  def getScreenContent()
    return entryForm_element.text
  end

end