require 'page-object'
require_relative '../../../lib/helper/common_element'

class Health < Common_Element
  include PageObject

  BLOOD_PRESSURE_PULSE_LABEL = "Blood Pressure\nPulse"

  elements(:leftSubMenulist, :li, :css => '.secondary-list li')

  button(:bloodPressureAndPulse, :css => 'button.blood-pressure-and-pulse')
  button(:weight, :css => 'button.weight')
  button(:glucose, :css => 'button.glucose')
  button(:cholesterol, :css => 'button.cholesterol')
  button(:mood, :css => 'button.mood')

  element(:bloodPressureAndPurlseIcon, :i ,:css => "i.icon-health-bloodpressure")
  element(:weightIcon, :i, :css => "i.icon-health-weight")
  element(:glucoseIcon, :i, :css => "i.icon-health-glucose")
  element(:cholesterolIcon, :i, :css => "i.icon-health-cholesterol")
  element(:moodIcon, :i, :css => "i.icon-health-mood")

  element(:appleIconForWeight, :i, :css => "i.icon-health-weight")
  element(:handIconForGlucose, :i, :css => "i.icon-health-glucose")
  element(:smileyIconForMood, :i, :css => "i.icon-mood-good")

  div(:weightDate, :css => "button.weight div.tracker-nav-date")
  div(:weightAmount, :css => "button.weight div.tracker-nav-amount")

  div(:glucoseDate, :css => "button.glucose div.tracker-nav-date")
  div(:glucoseAmount, :css => "button.glucose div.tracker-nav-amount")

  div(:moodDate, :css => "button.mood div.tracker-nav-date")
  div(:moodAmount, :css => "button.mood div.tracker-nav-amount")

  div(:bloodPressureAmount, :css => "button.blood-pressure-and-pulse div.tracker-nav-amount div[ng-if='item.service.latest.entry[0].valueQuantity.value']")
  div(:pulseAmount, :css => "button.blood-pressure-and-pulse  div.tracker-nav-amount div[ng-if='item.service.latest.entry[2].valueQuantity.value']")
  div(:bpDate, :css => "button.blood-pressure-and-pulse div.tracker-nav-date")

  div(:cholesterolAmount, :css => "button.cholesterol div.tracker-nav-amount")
  div(:cholesterolDate, :css => "button.cholesterol div.tracker-nav-date")
end