require 'page-object'
require 'watir-webdriver'
require_relative '../../../lib/helper/common_element'

class HealthDetail < Common_Element
  include PageObject

  #blood pressure detail
  text_field(:systolic, :name => "Systolic")
  text_field(:diastolic, :name => "Diastolic")
  text_field(:pulse, :name => "Pulse")

  select_list(:positionSelect, :name => "Position")

  #cholesterol detail
  text_field(:totalSerumCholesterol, :name => "Total Serum Cholesterol")
  text_field(:ldLipoprotein, :name => "Low-Density Lipoprotein (LDL)")
  text_field(:hdLipoprotein, :name => "High-Density Lipoprotein (HDL)")
  text_field(:triglycerides, :name => "Triglycerides")

  select_list(:fastingSelect, :name => "fasting")

  #glucose detail
  text_field(:glucoseLevel, :name => "Glucose Level")
  select_list(:testedSelect, :css => "select[name='tested']")

  #mood detail
  SMILEY_FACE_VERYBAD = "icon-mood-verybad"
  SMILEY_FACE_BAD =  "icon-mood-bad"
  SMILEY_FACE_NEUTRAL = "icon-mood-neutral"
  SMILEY_FACE_GOOD =  "icon-mood-good"
  SMILEY_FACE_VERYGOOD = "icon-mood-verygood"
  button(:selectMood, :css => "button[ng-click='openMoodModal()']")
  element(:smileyFace, :i, :css => "div[ng-if='details.valueQuantity.value'] div[on='details.valueQuantity.value'] i")
  div(:moodRate, :css => "div[ng-if='details.valueQuantity.value'] div:nth-of-type(2)")

  #weight
  text_field(:weight, :name => "Weight" )

end