require 'page-object'
require_relative '../../../lib/helper/common_element'

class LandingPage < Common_Element
  include PageObject
  button(:login, :class => 'login')

  #for Unauthenticated user
  h2(:welcomeTitle, :css => 'div.container h2')
  p(:currentDate, :css => 'div.container div p:nth-of-type(1)')
  div(:dateAndMessage, :css => 'div.container div')

  #for AuthenticatedUser
  h2(:welcomeTitleForAuthenticatedUser, :css => 'div.welcome h2')
  strong(:dateForAuthenticatedUser, :css => 'div.welcome h2 + p strong')
  button(:weeklyGoals, :css => 'button[ng-click="openGoalsModal()"]')
  element(:weeklyGoalsIcon, :i, :css => 'button[ng-click="openGoalsModal()"] i')
  span(:weeklyGoalsAltText, :css => 'button[ng-click="openGoalsModal()"] span.sr-only')
  span(:weeklyGoalsText, :css => 'button[ng-click="openGoalsModal()"] span:last-of-type')
  p(:status, :css => 'p[ng-if="details.activeFlag"]')
  p(:infoText, :css => 'p[ng-if="!details.activeFlag"]')
  p(:setGoalText, :css => 'p[ng-if="!details.activeFlag"]')
  div(:instructionalText, :css => '.notifications + div.top-space div.text-center')
  div(:goalsDialog, :css => '.modal-dialog')
  p(:unreadNotifications, :css => 'div[ng-include*="graphs"] ~ .notifications p.unread-count')
  h3(:unreadNotificationTitle, :css => 'div[ng-include*="graphs"] ~ .notifications h3')

  def hasUnreadNotificationsIcon()
    self.class.element(:bellIcon, :i, :css => '.icon-notification')
    return self.bellIcon?
  end

  #graph
  div(:graphSection, :css => 'div[ng-include="\'src/modules/home/graphs/goal-graphs_template.html\'"]')

  p(:minutesAltText, :css => '.graph1')
  p(:stepsAltText, :css => '.graph2')
  p(:milesAltText, :css => '.graph3')

  div(:minutesLeftUnits, :css => 'div[config="goalGraphConfig[\'minutes\']"] div.remaining-value')
  div(:stepsLeftUnits, :css => 'div[config="goalGraphConfig[\'steps\']"] div.remaining-value')
  div(:milesLeftUnits, :css => 'div[config="goalGraphConfig[\'miles\']"] div.remaining-value')

  #footer
  span(:footerLabel, :css => '.main-footer span')
end