require 'page-object'
require_relative '../../../lib/helper/accordion_helper'

class LearnMoreHealth < AccordionHelper
  include PageObject

  HEALTHY_DIET_URL = "http://dashdiet.org/"
  LEARN_MORE_HIGH_BLOOD_PRESSURE_URL = "http://www.heart.org/HEARTORG/Conditions/HighBloodPressure/High-Blood-pressure_UCM_002020_SubHomePage.jsp#mainContent"
  LEARN_MORE_CHOLESTEROL_URL = "http://www.heart.org/HEARTORG/Conditions/Cholesterol/Cholesterol_UCM_001089_SubHomePage.jsp#mainContent"
  LEARN_MORE_QUITTING_SMOKING_URL = "http://www.cdc.gov/tobacco/quit_smoking/how_to_quit/index.htm"
  STAY_QUIT_COACH_URL = "https://itunes.apple.com/us/app/stay-quit-coach/id655892317?ls=1&mt=8"
  LEARN_MORE_DIABETES_URL = "http://www.heart.org/HEARTORG/Conditions/Diabetes/Diabetes_UCM_001091_SubHomePage.jsp#mainContent"
  GLOOKO_DIABETES_MANAGEMENT_SYSTEM_URL = "https://glooko.com/products/"

  AHA_URL = "http://www.heart.org/HEARTORG/Conditions/More/CardiacRehab/Cardiac-Rehab_UCM_002079_SubHomePage.jsp#mainContent"
  ACC_URL = "https://www.cardiosmart.org/Healthwise/hw22/9962/hw229962"
  AACVPR_URL = "https://www.aacvpr.org/CardiacRehabilitationPatients/tabid/503/Default.aspx"
  PREVENTIVE_CARDIO_NURSE_ASSO_URL = "http://pcna.net/patients---preventive-cardiovascular-nurses-association"
  QUIT_SMOKING_URL = "http://www.cdc.gov/tobacco/quit_smoking/how_to_quit/index.htm"

  link(:healthyDietLink, :css => "a[ng-click=\"openLink('http://dashdiet.org/')\"]")
  link(:learnMoreHighBloodPressureLink, :css => "a.health-blood-pressure")
  link(:learnMoreCholesterolLink, :css => "a.health-cholesterol")
  link(:learnMoreQuittingSmokingLink, :css => "a.health-quitting-learn")
  link(:stayQuitCoachLink, :css => "a.helath-stay-quit")
  link(:learnMoreDiabetesLink, :css => "a.health-diabetes-learn")
  link(:diabetesAppLink, :css => "a.health-diabetes-app")

  link(:healthAHALink, :css => "a.health-aha")
  link(:healthACCLink, :css => "a.health-acc")
  link(:healthAACVPRLink, :css => "a.health-aacvpr")
  link(:healthPCNALink, :css => "a.health-pcna")
  link(:healthquitSmokingLink, :css => "a.health-qs")

end