require 'page-object'
require_relative '../../../lib/helper/accordion_helper'

class LearnMoreMood < AccordionHelper
  include PageObject

  STRESS_VIDEO_URL = "https://www.youtube.com/watch?v=OBshy5g8DZw"

  AHA_URL = "http://www.heart.org/HEARTORG/Conditions/More/CardiacRehab/Cardiac-Rehab_UCM_002079_SubHomePage.jsp#mainContent"
  ACC_URL = "https://www.cardiosmart.org/Healthwise/hw22/9962/hw229962"
  AACVPR_URL = "https://www.aacvpr.org/CardiacRehabilitationPatients/tabid/503/Default.aspx"
  PREVENTIVE_CARDIO_NURSE_ASSO_URL = "http://pcna.net/patients---preventive-cardiovascular-nurses-association"

  link(:stressVideoLink, :css => "a.mood-stress-reduction")

  link(:moodAHALink, :css => "a.mood-aha")
  link(:moodACCLink, :css => "a.mood-acc")
  link(:moodAACVPRLink, :css => "a.mood-aacvpr")
  link(:moodPCNALink, :css => "a.mood-pcna")

end