require 'page-object'
require_relative '../../../lib/helper/accordion_helper'

class Nutrition < AccordionHelper
  include PageObject

  LEARN_MORE_HEALTHY_EATING_URL = "https://www.cardiosmart.org/Healthy-Living/Eat-Better"
  HAWAII_FOODS_URL = "http://hawaiifoods.hawaii.edu/lname.asp"
  LEARN_MORE_WEIGHT_MANAGEMENT_URL = "http://www.heart.org/HEARTORG/GettingHealthy/WeightManagement/Weight-Management_UCM_001081_SubHomePage.jsp"

  MOVE_COACH_URL = "https://itunes.apple.com/us/app/id878356988?mt=8"
  MY_FITNESS_PAL_URL = "https://www.myfitnesspal.com/"

  AHA_URL = "http://www.heart.org/HEARTORG/Conditions/More/CardiacRehab/Cardiac-Rehab_UCM_002079_SubHomePage.jsp#mainContent"
  ACC_URL = "https://www.cardiosmart.org/Healthwise/hw22/9962/hw229962"
  AACVPR_URL = "https://www.aacvpr.org/CardiacRehabilitationPatients/tabid/503/Default.aspx"
  PREVENTIVE_CARDIO_NURSE_ASSO_URL = "http://pcna.net/patients---preventive-cardiovascular-nurses-association"
  USDA_FOOD_A_PEDIA_URL = "https://www.supertracker.usda.gov/foodapedia.aspx"


  link(:learnMoreHealthEatingLink, :css => "a.nutrition-eat-better")
  link(:hawaiiFoodsLink, :css => "a.nutrition-calories")
  link(:learnMoreWeightManagementLink, :css => "a.nutrition-weight")
  link(:moveCoachLink, :css => "a.nutrition-move-coach")
  link(:fitnessPalLink, :css => "a.nutrition-fitnesspal")

  link(:nutritionAHALink, :css => "a.nutrition-aha")
  link(:nutritionACCLink, :css => "a.nutrition-acc")
  link(:nutritionAACVPRLink, :css => "a.nutrition-aacvpr")
  link(:nutritionPCNALink, :css => "a.nutrition-pcna")
  link(:nutritionUSDACalorieLookUpLink, :css => "a.nutrition-link")
  link(:nutritionHawaiiFoodsCaLorieLookUpLink, :css => "a.nutrition-calorie-lookup")
  link(:nutritionUSDACalorieLookUpLink2, :css => "a.nutrition-calorie-lookup-usda")

end