require 'page-object'
require_relative '../../lib/helper/common_element'
require_relative '../../lib/module/DBUtility'

class LoginPage < Common_Element
  include PageObject
  include DBUtility

  text_field(:userName, :id => 'name-c')
  text_field(:password, :id => 'password')
  button(:login, :id => 'loginButton')
  span(:loginAs, :css => 'span[ng-if="userName"]')
  h2(:loginTitle, :css => "h2")

  def login_with(username, password, patientID)
    setDefaultROAForPatient(patientID)
    Watir::Wait.until {login?}
    userName_element.when_visible
    self.userName= username
    self.password= password
    login
  end

  def login_without_passing_ROA(username, password)
    userName_element.when_visible
    self.userName= username
    self.password= password
    login
  end

end