require 'page-object'

class Modal
  include PageObject

  #common modal
  button(:ok, :css => 'button[ng-click="ok()"]')
  button(:ok2, :css => 'button[data-ng-click="modalContent.close()"]')
  button(:ok3, :css => 'button[data-ng-click="modalContent.ok();"]')
  button(:no, :css => 'button[data-ng-click="modalContent.close()"]')
  button(:yes, :css => 'button[data-ng-click="modalContent.ok();"]')
  button(:cancel, :css => 'button[data-ng-click="modalContent.close()"]')
  button(:cancel2, :css => 'button[ng-click="cancel()"]')
  button(:save, :css => 'button[data-ng-click="modalContent.ok();"]')
  button(:save2, :css => 'button[ng-click="save()"]')
  button(:reset, :css => 'button[data-ng-click="modalContent.reset();"]')
  button(:continue, :css => 'button[data-ng-click="modalContent.ok();"]')
  button(:continue2, :css => 'button[data-ng-click="modalContent.close()"]')
  button(:return, :css => 'button[data-ng-click="modalContent.close()"]')
  h3(:modalTitle, :css => '.modal:last-child .modal-header h3')
  p(:section1, :css => '.modal:last-child .modal-body p:nth-of-type(1)')
  p(:section2, :css => '.modal:last-child .modal-body p:nth-of-type(2)')
  p(:section3, :css => '.modal:last-child .modal-body p:nth-of-type(3)')
  p(:section4, :css => '.modal:last-child .modal-body p:nth-of-type(4)')
  div(:modalDialog, :css => '.modal-dialog')

  #help modal
  link(:userGuide, :css => 'a[ng-click="showUserGuide()"]')
  link(:generalFeedbackToVA, :css => 'a[ng-click="showFeedbackPage()"]')

  #Intensity Rating modal
  elements(:raitingIntensityList, :li, :css => ".rating-intensity li")

  def isModalPopUpPresent()
    begin
      return modalDialog_element.exists?
    rescue Exception=>e
      return false
    end
  end
end