require 'page-object'
require_relative '../../../lib/helper/common_element'

class NotificationDetail < Common_Element
  include PageObject

  #detail list view
  button(:notificationButton, :css => ".navbar-nav button[title*='Notification']")
  element(:listBellIcon, :i, :css => 'button[ng-click="button.onClick()"] .icon-notification')
  element(:detailBellIcon, :i, :css => '.icon-notification')

  #health entry notification section
  div(:notificationLabelText, :css => '.notification-status-wrapper .label-container .label-text')
  span(:notificationStatusLabel, :css => '.notification-status-wrapper .row span:nth-of-type(1)')
  span(:notificationStatus, :id => 'status')
  div(:instructionalText, :css => '.notification-status-wrapper .row div.ng-binding')

  #health notifications detail screen
  div(:notificationLbTextOnDetail, :css => '.form-input-wrapper .label-container .label-text')
  div(:notificationStatusLbOnDetail, :css => '.form-input-wrapper .left')
  radio_button_group(:notificationStatusOnDetail, :css => 'input[name="notificationOption"]')
  span(:startDateRequired, :css => 'label[for="notificationStartDate"] .input-label-content span:nth-of-type(1)')
  span(:startDateLabel, :css => 'label[for="notificationStartDate"] .input-label-content span:nth-of-type(2)')
  text_field(:startDateOnDetail, :css => 'input[name="notificationStartDate"]')
  span(:notifyMeRequired, :css => 'input-select[name="notificationFrequency"] .input-label-content .required-field')
  span(:notifyMeLabel, :name => 'notificationFrequencyLabel')
  select_list(:notifyMe, :name => 'notificationFrequency')
  legend(:notificationTimeLabel, :css => 'multi-time[label="Notification Time"] legend')
  text_field(:notificationTimeWithStatusOff, :id => 'time_0')
  button(:addTimeBttn, :css => 'button[ng-click="addTimeEntry()"]')
  span(:notificationDeliveryLabel, :css => '.notification-delivery .ng-isolate-scope')
  div(:displayedEmail, :class => 'email')
  span(:instruTextOnDetail, :css => '.notification-delivery-options .col-xs-11.col-xs-offset-1.pull-right span.sr-only')
  checkbox(:notificationDeliveryCBX, :css => 'input[name="notificationDelivery"]')

  def checkNotificationDeliveryCheckBox(checkBoxValue)
    self.class.checkbox(:notificationDeliveryCBX, :css => 'input[name="notificationDelivery"][value="' + checkBoxValue + '"]')
    self.check_notificationDeliveryCBX
    sleep 0.5
  end

  def unCheckNotificationDeliveryCheckBox(checkBoxValue)
    self.class.checkbox(:notificationDeliveryCBX, :css => 'input[name="notificationDelivery"][value="' + checkBoxValue + '"]')
    self.uncheck_notificationDeliveryCBX
    sleep 0.5
  end

  def isNotificationDeliveryChecked(checkBoxValue)
    self.class.checkbox(:notificationDeliveryCBX, :css => 'input[name="notificationDelivery"][value="' + checkBoxValue + '"]')
    return self.notificationDeliveryCBX_element.checked?
  end

  def isEmailNotificationDisabled()
    self.class.checkbox(:emailNotification, :css => 'input[name="notificationDelivery"][value="Email"]')
    return self.emailNotification_element.attribute("disabled")
  end

  def setNotificationTime(row, timeStr)
    self.class.text_field(:notificationTime, :id => 'time_' + row.to_s)
    self.notificationTime= timeStr
  end

  def verifyTheNewTimeEntryAppears(row)
    self.class.text_field(:notificationTime, :css => 'input[name="time_' + row.to_s + '"]')
    return notificationTime?
  end

  def isNewTimeEntryFocused?(row)
    self.class.text_field(:notificationTime, :css => 'input[name="time_' + row.to_s + '"]')
    element = element_with_focus
    return ( element == self.notificationTime_element )
  end

  def clickDeleteTimeButton(row)
    self.class.button(:deleteTimeBttn, :css => 'button[name="deleteTime_' + row.to_s + '"]')
    self.deleteTimeBttn
    sleep 0.2
  end

  def getDeleteTimeButtonAltText(row)
    self.class.button(:deleteTimeBttn, :css => 'button[name="deleteTime_' + row.to_s + '"]')
    return self.deleteTimeBttn_element.attribute("aria-label")
  end

  def getNotificationTimeArray(frequency)
    timeArray = []
    size = 0
    if (frequency == "Daily")
      size = 4
    end

    for i in 0..size
      self.class.text_field(:notificationTime, :id => 'time_' + i.to_s)
      if self.notificationTime_element.visible?
        timeArray << self.notificationTime
      end
    end

    return timeArray

  end

  def addANotification(dateStr, frequency, timeStrArry, deliveryMethod)
    self.selectARadioButton("On", "notificationOption")
    sleep 0.5
    self.startDateOnDetail= dateStr
    sleep 0.5

    if frequency == "Weekly" or frequency == "Monthly"
      self.notifyMe= frequency
      sleep 0.5
      self.setNotificationTime(0, timeStrArry[0])
      sleep 0.5
    elsif frequency == "Daily"
      self.notifyMe= frequency
      sleep 0.5
      puts "timeStrArry.length=" + timeStrArry.length.to_s
      for i in 0..timeStrArry.length-1
        self.setNotificationTime(i, timeStrArry[i])
        sleep 0.5
        if i < 4
          self.addTimeBttn
          sleep 0.5
        end
      end
    end

    self.checkNotificationDeliveryCheckBox(deliveryMethod)

    save

  end

  def selectARadioButton(value, buttonName)
    self.class.element(:status, :input, :css => 'input[name="' + buttonName + '"][type="radio"][value="' + value + '"]' )
    status_element.click
    sleep 0.5
  end


end