require 'page-object'
require_relative '../../pages/modal_dialog'

class NotificationSetting < Modal
  include PageObject

  h2(:welcomeTitle, :css => '.modal-header h2')
  h3(:notificationTitle, :css => '.modal-body h3')

  p(:instructionalText1, :css => '.modal-header > p:nth-of-type(1)')
  p(:instructionalText2, :css => '.modal-header > p:nth-of-type(2)')

  link(:learnMoreLink, :css => 'a[ng-click="showUserGuide()"]')

  span(:requiredFieldsText, :css => 'form > span:nth-of-type(1)')
  span(:emailInstructionalTextForFirstTime, :css => 'form > span:nth-of-type(2)')
  p(:emailInstructionalText, :css => 'form > p')
  span(:emailLabel, :name => 'emailLabel')

  text_field(:email, :name => "email")
  select_list(:timeZoneSelect, :name => "timeZone")

  element(:receiveMsgLegend, :legend, :css => 'form > div:nth-of-type(3) legend')
  radio_button_group(:receiveMsgOption, :name => 'optInOption')
end