require 'page-object'

class RightSideNav
  include PageObject

  button(:rightMenu, :id => 'user-menu-toggle-btn')
  button(:about, :id => 'about')
  button(:help, :id => 'help')
  button(:launchpad, :id => 'launchpad')
  button(:login, :id => 'login')
  button(:logout, :id => 'logout')
  h2(:menuHeader, :css => '.snap-drawer-right .panel-title')
  elements(:userMenuList, :li,  :css => ".snap-drawer-right ul:nth-of-type(1) li")
  elements(:navMenuList, :li,  :css => ".snap-drawer-right ul:nth-of-type(2) li")

  def getNthUserMenu(number)
    return userMenuList_elements[number - 1].text
  end

  def getNthNavMenu(number)
    return navMenuList_elements[number - 1].text
  end

  def isAboutFocused()
    #focuse? method will be deprecated soon
    return (element_with_focus == about_element)
  end

end