define(['angular', 'angularSnap', 'accessibleTimePickerServices', 'TimeControls'], function (angular) {
	'use strict';

	var app = angular.module('fit.heart', [
		'ngSanitize',
		'ngTouch',
		'ui.router',
		'ui.bootstrap',
		'ui.utils',
		'snap',
		'unsavedChanges',
		'delayManager',
		'focusManager',
		'accessibleTimePickerServices',
		'CalendarDatePicker',
		'InputCalendarDatePicker',
		'TimeControls',
        'highcharts-ng',
		'AccessibleAccordion'
	]);

	app.config(function ($controllerProvider, $provide, $httpProvider) {
		$httpProvider.defaults.useXDomain = true;
		delete $httpProvider.defaults.headers.common['X-Requested-With'];
		$httpProvider.interceptors.push('httpInterceptor');
		$httpProvider.interceptors.push('busyHttpInterceptor');
	});

	app.directive('scrollContainer', function ($window, $timeout) {
		return function (scope, element) {
			angular.element($window).bind("resize", function(){
				element.height("calc(100% - " + (angular.element('.main-header').height() + angular.element('.main-footer').height() + 20) + "px)");					
			});
			scope.$watch(function(){
				return $window.innerHeight + $window.innerWidth;
			}, function(){
				angular.element($window).trigger("resize");
			})
		};
	});

	return app;
});