/*jshint unused: vars */
require.config({
	paths: {

		/*                  LIBRARIES                    */
		'angular'						: '../libs/angular/js/angular',
		'angularAnimate'				: '../libs/angular-animate/js/angular-animate',
		'angularBusy'					: '../libs/angular-busy/js/angular-busy',
		'angularSanitize'				: '../libs/angular-sanitize/js/angular-sanitize',
		'angularSnap'					: '../libs/angular-snap/js/angular-snap',
		'angularTouch'					: '../libs/angular-touch/js/angular-touch',
		'angularUiBootstrap'			: '../libs/angular-bootstrap/js/ui-bootstrap-tpls-custom',
		'angularUiBootstrapOverwrites'	: '../libs/angular-bootstrap/js/ui-bootstrap-overwrites',
		'angularUiRouter'				: '../libs/angular-ui-router/js/angular-ui-router',
		'angularUiUtils'				: '../libs/angular-ui-utils/js/ui-utils',
		'clampjs'						: '../libs/Clamp.js/clamp',
		'highstocks'					: '../libs/highstock/js/highstock.src',
		'jQuery'						: '../libs/jquery/js/jquery',
		'lodash'						: '../libs/lodash/js/lodash',
		'moment-timezone'				: '../libs/moment-timezone/js/moment-timezone-with-data',
		'snap'							: '../libs/snap/js/snap',
		'text'							: '../libs/requirejs-text/text',
        'highcharts-3d'					: '../libs/highcharts/js/highcharts-3d.src',
        'highcharts-more'				: '../libs/highcharts/js/highcharts-more.src',
        'solid-gauge'					: '../libs/highcharts/js/solid-gauge.src',
        'highcharts-ng'					: '../libs/highcharts-ng/js/highcharts-ng',
        'moment'						: '../libs/moment/js/moment',

		/*                  DECORATORS                    */
		'ngMaskDecoration'				: 'decorations/ui-mask_decorator',
		'uiCollapseDecoration'			: 'decorations/ui-collapse_decorator',
		'ngClickDecoration'				: 'decorations/ng-click_decorator',

		/*                  APPLICATION                    */
		'appConfig'						: 'app-config',
		'app'							: 'app',
		'router'						: 'router',

		//templates is generated by grunt ngtemplate task
		'templates'						: 'templates',

		/*                  CONTAINER                    */
		'MainController'				: 'container/main/main_controller',
		'HeaderController'				: 'container/components/header/header_controller',
		'FooterController'				: 'container/components/footer/footer_controller',
		'TwoPanelController'			: 'container/components/content/two-column_controller',
		'List'							: 'container/components/content/list/list_directive',
		'Menu'							: 'container/components/menu/menu_directive',
		'SecondaryNavigationController' : 'container/components/content/secondary-navigation/secondary-navigation_controller',

		/*                  FEATURE SECTIONS                    */

		// Home
		'HomeModule'					: 'modules/home/home_module',
        'HomePageConstants'				: 'modules/home/core/constants',
		'InitialSettingsController'		: 'modules/home/initial-settings/initial-settings_controller',
        'WeeklyGoalsService'			: 'modules/home/core/weekly-goals_service',
		'AbstractWeeklyGoalsService'	: 'modules/home/core/abstract-weekly-goals_service',
        'AuthenticatedUserController'	: 'modules/home/pages/authenticated-user/authenticated-user_controller',
        'UnauthenticatedUserController'	: 'modules/home/pages/unauthenticated-user/unauthenticated-user_controller',
        'GoalGraphService'				: 'modules/home/graphs/goal-graphs_service',
        'GoalGraphAccessibilityService' : 'modules/home/graphs/goal-graphs-accessibility_service',

		 // Left-Hand Nav Feature
		'FitnessModule'                  : 'modules/fitness/fitness_module',
		'FitnessConstants'               : 'modules/fitness/core/fitness_constants',
        'FitnessCongratsConstants'       : 'modules/fitness/core/fitness-congrats_constants',
        'AbstractFitnessService'         : 'modules/fitness/core/abstract-fitness_service',
		'FitnessService'                 : 'modules/fitness/core/fitness_service',
        'FitnessCongratsService'         : 'modules/fitness/core/fitness-congrats_service',
		'FitnessServiceConstants'        : 'modules/fitness/core/fitness_service_constants',
		'FitnessActivityController'      : 'modules/fitness/pages/summary/fitness-activity_controller',
		'FitnessEntryController'         : 'modules/fitness/pages/entry/fitness-entry_controller',
        'FitnessActivityGraphService'    : 'modules/fitness/pages/summary/fitness-activity-graph_service',
		'HealthMoodModule'               : 'modules/health-mood/health-mood_module',
		'HealthMoodConstants'            : 'modules/health-mood/core/health-mood_constants',
		'HealthMoodService'              : 'modules/health-mood/core/health-mood_service',
        'HealthMoodGraphService'         : 'modules/health-mood/core/health-mood-graph_service',
        'HealthMoodSummaryController'    : 'modules/health-mood/pages/summary/health-mood-summary_controller',
		'HealthMoodEntryController'      : 'modules/health-mood/pages/entry/health-mood-entry_controller',
		'RemindersService'				 : 'modules/health-mood/core/reminders_service',

		'NotificationDeliveryDirective'	         : 'modules/health-mood/pages/notification-status/notification-delivery-options/notification-delivery-options_directive',
		'HealthMoodRemindersInstanceService'     : 'modules/health-mood/core/health-mood-reminders-instance_service',
		'HealthMoodRemindersService'	         : 'modules/health-mood/core/health-mood-reminders_service',
		'HealthMoodNotificationStatusController' : 'modules/health-mood/pages/notification-status/health-mood-notification-status_controller',

		'FitnessRemindersInstanceService'        : 'modules/fitness/core/fitness-reminders-instance_service',
		'FitnessRemindersService'	             : 'modules/fitness/core/fitness-reminders_service',
		'FitnessNotificationStatusController'    : 'modules/fitness/pages/notification-status/fitness-notification-status_controller',

		'AbstractHealthMoodService'      : 'modules/health-mood/core/abstract-health-mood_service',
		'HealthMoodServiceConstants'     : 'modules/health-mood/core/health-mood-service_constants',
		'HealthMoodNavController'        : 'modules/health-mood/pages/nav/health-mood-nav_controller',
		'HealthMoodNavItemDateFilter'    : 'modules/health-mood/core/health-mood-nav-item-date-filter',
		'SupportModule'                  : 'modules/support/support_module',
		'SupportConstants'             	 : 'modules/support/core/support_constants',
		'SupportSummaryController'       : 'modules/support/pages/summary/support-summary_controller',
		'LearnMoreModule'                : 'modules/learn-more/learn-more_module',
		'LearnMoreConstants'             : 'modules/learn-more/core/learn-more_constants',
		'LearnMoreSummaryController'     : 'modules/learn-more/pages/summary/learn-more-summary_controller',
		'NotificationsModule'            : 'modules/notifications/notifications_module',
		'NotificationsConstants'         : 'modules/notifications/core/notifications_constants',
		'NotificationsService'           : 'modules/notifications/core/notifications_service',
		'NotificationsInstanceBuilderService'	: 'modules/notifications/core/notifications-instance-builder_service',
		'NotificationsSummaryController' : 'modules/notifications/pages/summary/notifications-summary_controller',
		'NotificationsDetailsController' : 'modules/notifications/pages/detail/notifications-details_controller',
		'NotificationSettingsController' : 'modules/notifications/pages/notification-settings/notification-settings_controller',
		'NotificationSettingsService'	 : 'modules/notifications/pages/notification-settings/notification-settings_service',

		/*                  CORE COMPONENTS                    */
		'BaseCRUDService'				: 'core/services/base-crud_service',
		'CollectionCRUDService'			: 'core/services/collection-crud_service',

		'NotificationsPreferencesService' : 'core/resources/notifications-preferences_service',

		'httpInterceptor'				: 'core/connection/httpInterceptor',
		'connection_error_service'		: 'core/connection/connection_error_service',
		'connection_timeout_service'	: 'core/connection/connection_timeout_service',
		'delayManager'					: 'core/connection/delay_factory',

		'EulaController'				: 'core/eula/eula_controller',
		'eula_service'					: 'core/eula/eula_service',

		'localResourceDirectoryService'	: 'core/resources/local-resource-directory_service',
		'mhpuser_service'				: 'core/resources/mhpuser_service',
		'patient'						: 'core/resources/patient_service',
		'resourcedirectory_service'		: 'core/resources/resourcedirectory_service',

		'global'						: 'core/services/global',
		'formatter'						: 'core/services/formatter',
		'authentication_service'		: 'core/services/auth_service',
		'unsavedChanges'				: 'core/services/unsaved_changes',
		'focusManager'					: 'core/services/focus_directive',

		/*					UI-COMPONENTS             */
		'EntryForm'						: 'ui-components/form/entry-form/entry-form_directive',
		'FormControlWrapper'			: 'ui-components/form/controls/core/form-control-wrapper/form-control-wrapper_directive',

		'iOSKeyboard'					: 'ui-components/form/controls/core/iOS-keyboard/iOS-keyboard_directive',

		'InputRange'					: 'ui-components/form/controls/simple/input-range/input-range_directive',
		'InputSelect'					: 'ui-components/form/controls/simple/input-select/input-select_directive',
		'InputText'						: 'ui-components/form/controls/simple/input-text/input-text_directive',
		'InputNumber'					: 'ui-components/form/controls/simple/input-number/input-number_directive',
		'InputGroupCheckbox'			: 'ui-components/form/controls/simple/input-group-checkbox/input-group-checkbox_directive',
		'InputGroupRadio'				: 'ui-components/form/controls/simple/input-group-radio/input-group-radio_directive',
		'CalendarDatePicker'			: 'ui-components/form/controls/simple/calendar-date-picker/calendar-date-picker_directive',

		'InputCalendarDatePicker'		: 'ui-components/form/controls/composite/input-calendar-date-picker/input-calendar-date-picker_directive',
		'TimeControls'					: 'ui-components/form/controls/composite/input-time-picker/time-controls_directive',
		'MultiTime'						: 'ui-components/form/controls/composite/input-multi-time-picker/multi-time_directive',

		'UserInputPattern'				: 'ui-components/form/validation/user-input-pattern/user-input-pattern_directive',
		'ValidationSummary'				: 'ui-components/form/validation/validation-summary/validation-summary',
		'ErrorHandling'					: 'ui-components/form/validation/validation-summary/error-handling_directive',
		'RequiredField'					: 'ui-components/form/validation/required-field-indicator/required-field-indicator_directive',

		'modalService'					: 'ui-components/modals/helper/modal_service',
		'HelpController'				: 'ui-components/modals/help/help_controller',
		'AboutController'				: 'ui-components/modals/about/about_controller',
		'SetGoalsModalController'		: 'ui-components/modals/set-goals/set-goals_controller',

		'NavBar'						: 'ui-components/nav-bar/nav-bar_directive',
		'FilterButton'					: 'ui-components/filter-button/filter-button_directive',
		'FilterWrapper'					: 'ui-components/filter/filter-wrapper_directive',
		'StatusFilter'					: 'ui-components/filter/status-filter/status-filter_directive',

		'DataTableDirective'			: 'ui-components/table/table_directive',

		'AriaHidden'					: 'ui-components/accessibility/aria-hidden/aria-hidden_directive',
		'aDirecitve'					: 'ui-components/html-extensions/a_directive',
		'iDirecitve'					: 'ui-components/html-extensions/i_directive',
		'clamp'							: 'ui-components/line-clamp/clamp_directive',
		'BackButton'					: 'ui-components/back-button/back-button_directive',
		'disableNgAnimate'				: 'ui-components/disable-ng-animate/disable-ng-animate_directive',

		// ACCESSIBLE DIRECTIVES
		'AccessibleAccordion'			: 'ui-components/accordion/accessibleaccordion_directive',
		'accessibleCarousel'			: 'ui-components/carousel/accessible-carousel_directive',
		'AccessibleCarouselController'	: 'ui-components/carousel/accessible-carousel_controller',
		'accessibleTimePickerServices'	: 'ui-components/form/controls/simple/accessibletimepicker/accessibletimepicker_directive'
	},
	shim: {
		'angular'					: {deps: ['jQuery'], 'exports': 'angular'},
		'jQuery'					: {'exports': '$'},
		'lodash'					: {'exports': '_'},
		'highstocks'				: ['jQuery'],
        'highcharts-3d'             : ['highstocks'],
        'highcharts-more'           : ['highstocks'],
        'solid-gauge'               : ['highstocks', 'highcharts-more'],
        'moment'					: {'exports' : 'moment'},
		'moment-timezone'			: ['moment'],
		'clampjs'					: {'exports': '$clamp'},
		'angularSanitize'			: ['angular'],
		'angularUiUtils'			: ['angular'],
		'angularUiRouter'			: ['angular'],
		'angularUiBootstrap'		: ['angular'],
		'angularUiBootstrapOverwrites'		: ['angularUiBootstrap'],
		'angularTouch'				: ['angular'],
		'angularBusy'				: ['angular'],
		'angularSnap'				: ['angular', 'snap'],
		'angularAnimate'			: ['angular'],
		'templates'					: ['app']
	},
	priority: ['angular']
});

require(
	[
		'app',
		'angular',
		'angularTouch',
		'angularUiUtils',
		'angularUiRouter',
		'angularSanitize',
		'angularAnimate',
		'angularBusy',
		'AriaHidden',
		'AccessibleAccordion',
		'accessibleCarousel',
		'AccessibleCarouselController',
		'aDirecitve',
		'angularUiBootstrap',
		'angularUiBootstrapOverwrites',
		'appConfig',
		'BackButton',
		'localResourceDirectoryService',
		'BaseCRUDService',
		'clamp',
		'CollectionCRUDService',
		'DataTableDirective',
		'delayManager',
		'disableNgAnimate',
		'EntryForm',
		'ErrorHandling',
		'FilterButton',
		'FilterWrapper',
		'focusManager',
		'formatter',
		'FormControlWrapper',
		'global',
		'highstocks',
		'httpInterceptor',
		'iDirecitve',
		'InputGroupCheckbox',
		'InputGroupRadio',
		'InputNumber',
		'InputRange',
		'InputSelect',
		'InputText',
		'iOSKeyboard',
		'List',
		'lodash',
		'Menu',
		'moment-timezone',
		'MultiTime',
		'NavBar',
		'ngClickDecoration',
		'ngMaskDecoration',
		'RequiredField',
		'router',
		'StatusFilter',
		'templates',
		'TwoPanelController',
		'uiCollapseDecoration',
		'unsavedChanges',
		'UserInputPattern',
		'ValidationSummary',
        'highcharts-3d',
        'highcharts-more',
        'solid-gauge',
		'localResourceDirectoryService'
	], function (app, angular) {
		'use strict';

		angular.element().ready(function () {
			angular.bootstrap(document, [app.name]);
		});
	});