define(['angular', 'angularMocks', 'app', 'MainController', 'angularUiRouter', 'Modernizr'], function(angular, mocks, app) {
    'use strict';

    describe('The Main controller', function () {

        var controller,
            scope,
			modal,
            q,
            pageServiceMock,
            globalDelayTrackerMock;

        beforeEach( function () {
            module('angularTemplateApp');

            modal = jasmine.createSpyObj('$modal', ['open']);
			globalDelayTrackerMock = jasmine.createSpyObj('globalDelayTracker', ['active']);
            module(function($provide){
                $provide.value('pageService', pageServiceMock);
                $provide.value('globalDelayTracker', globalDelayTrackerMock);
            });

            globalDelayTrackerMock.active.and.callFake(function(){
                return true;
            });

            inject(function ($controller, $rootScope, $q) {
                scope = $rootScope.$new();
                spyOn(scope, '$on').and.callThrough();
                controller = $controller('MainController', {$scope: scope, $modal: modal});
                q = $q;
            });
        });

        it("should create delay promise", function(){
            expect(scope.delayed).toBeDefined();
        });

        xdescribe("when modal is opened", function(){
            it("should aria hide background content", function(){

            });
        });

        xdescribe("when modal is closed", function(){
            it("should aria hide background content", function(){

            });
        });

        describe("when global delay tracker is active", function(){
            beforeEach(function(){
                globalDelayTrackerMock.active.and.callFake(function(){
                    return true;
                });
            });

            it("should create delay promise", function(){
                expect(scope.delayed.then).toEqual(jasmine.any(Function));
            });
        });

        describe("when global delay tracker is in-active", function(){
            var handler;

            beforeEach(function(){
                globalDelayTrackerMock.active.and.callFake(function(){
                    return false;
                });
                handler = jasmine.createSpy('resolved');
                scope.delayed.then(handler);
                scope.$root.$digest();
            });

            xit("should resolve delay promise", function(){
                expect(handler).toHaveBeenCalledWith('finished');
            });
        });

		describe("when failing the supported browser check", function() {
			var modalScope,
				modalController;

			beforeEach(inject(function($rootScope, $compile) {
				modalScope = $rootScope.$new();
				var element = angular.element("<test></test>");
				$compile(element)(modalScope);
				modalScope.$digest();
				modalController = element.controller;
			}));

			it("should open a modal", function(){
				expect(modal.open).toHaveBeenCalled();
			});
		});
    });
});