define(['angular', 'app'], function (angular, app) {
    app.constant('FitnessCongratsConstants', {
        'goal-reached': {
            title: [
                'Amazing job!',
                'Fantastic!',
                'Awesome!',
                'You did it!',
                'Excellent!',
                'Congratulations!'
            ],
            text:  [
                'You reached your goal!',
                'You’re taking an important step to improve your heart health.',
                'Keep up the good work by being active on most days.',
                'Reward yourself for a job well done.',
                'Reaching your goals can help improve your mood.',
                'Remember what you did to help you achieve your goal to use in the future.',
                'Share your good news with family and friends.',
                'Think about ways that you can do a little bit more next week.',
                'Being active can improve your health and mood. Plus, it’s fun!',
                'Make a commitment to staying active.',
                'Vary your fitness routine to help keep you engaged.',
                'Staying active is important for a healthy heart.',
                'Make a plan to stay active long-term.',
                'Continue to set new goals and stay active!',
                'To reduce stay engaged, consider switching between different forms of exercise.',
                'Congratulations on your achievement!',
                'Motivate others to be active with you.',
                'Noticing how good exercise makes you feel can motivate you in the future.',
                'Great job! Remember, regular exercise is crucial for good health.',
                'You have taken a step towards a healthier lifestyle. Celebrate your achievement.'
            ]
        },
        'standard': {
            title: [
                'Well done!',
                'Way to go!',
                'Keep it up!',
                'Nice job!'
            ],
            text:  [
                'Safety first! Let your doctor know if you have chest pain or trouble breathing.',
                'Being active is an important part of heart health.',
                'A healthy diet can reduce your risk of heart problems.',
                'SMART goals are Specific, Measureable, Attainable, Relevant, and Timely.',
                'Try to replace junk foods like chips and sweets with vegetables and fruits!',
                'Try to get at least 150 minutes/week of physical activity.',
                'Try to include 4-5 servings of fruits and vegetables in your daily diet.',
                'Choose oil-based salad dressings (Italian) over the creamier options (Ranch).',
                'Pushing yourself to work up a sweat can improve your heart health.',
                'Limit your portion sizes and salt intake, and try to avoid high fat and sugary foods.',
                'It can help to have a fitness buddy. Do you have friends or family who can help?',
                'Engaging in at least moderate intensity activities is best for your heart.',
                'Drink less than 36 ounces/week of sugary beverages (like soda or juice).',
                'Use olive oil to cook instead of butter.',
                'Being active can improve your health and mood. Plus, it’s fun!',
                'Taking the stairs or parking your car far away can help increase physical activity.',
                'Did you know that red meats have more unhealthy fat than chicken and fish?',
                'Beans, peas, lentils, and nuts are excellent sources of protein, vitamins, and fiber.',
                'Whole grains contain fiber, which helps control cholesterol and glucose levels!',
                'Varying your fitness routine can help keep you engaged.',
                'Egg whites contain protein while the yolk has fat. Limit yolks to two per week.',
                'Salt makes your heart work harder. Eat less salt to lower your blood pressure.',
                'Setting goals can help you stay healthy. Are you meeting your fitness goals?',
                'Remember, both good diet and exercise will help you stay healthy!',
                'Did you know that people who are more physically active live longer?',
                'You can count how many steps you take in a day to measure your activity.',
                'If you are overweight, losing weight is an important step towards better health.',
                'Try to eat 3 or more servings of whole grains (oats, brown rice, barley) per day.',
                'Reducing sedentary time (like watching TV) can improve your health.',
                'Making a plan to stay active over the long-term can help you to stay healthy.',
                'Look at nutrition labels on foods to make healthy food choices.'
            ]
        }
    });
});