define(['angular', 'app'], function (angular, app) {
	app.constant("FitnessConstants", {
		'fitnessActivities': {
			summary: {
				table : {
					columns : [
                        {label: "Date Entered", keys: "activityDate"},
						{label: "Activity", keys: "type"},
						{label: "Duration (min)", keys: "value.minutes", class: {column: "hidden-xs"}},
						{label: "Steps", keys: "value.steps", class: {column: "hidden-xs"}},
						{label: "Distance (miles)", keys: "value.miles", class: {column: "hidden-xs"}},
						{label: 'Intensity', keys: 'intensity', class: {column: "hidden-xs"}}
					]
				}
			},
			entry: {
				sectionTitle: "Fitness Activity",
				type: ["Walking", "Running", "Cycling", "Swimming", "Dancing", "Tennis", "Hiking", "Gym", "Housework", "Gardening", "Golf", "Yoga", "Rowing", "Stairs", "Sports", "General Calisthenics", "Other"],
				intensity: ["Very Easy", "Easy", "Somewhat Easy", "Somewhat Hard", "Hard", "Very Hard"],
		       	amountsMeta:[
		         	{
		         		name : 'minutes',
			            label : "Duration (minutes)",
			            min : "0",
			            max : "10080",
			            validationExpression : /(^0?[0-9][0-9]$)|(^1[0-9]{4}$)|(^2[0-9][0-9]$)|(^10080$)/,
			            userInputPattern : /^[0-9]{0,5}$/
		        	},
		         	{
		         		name : 'steps',
			            label : "Steps",
			            min : "0",
			            max : "50000",
			            validationExpression : /(^0?[0-9][0-9]$)|(^1[0-9]{4}$)|(^2[0-9][0-9]$)|(^50000$)/,
			            userInputPattern : /^[0-9]{0,5}$/
		        	},
		         	{
		         		name : 'miles',
			            label : "Distance (miles)",
			            min : "0.1",
			            max : "50000",
			            validationExpression : /^[0-9]{0,5}([.][0-9])?$/,
			            userInputPattern : /^[0-9]{0,5}([.][0-9]?)?$|(^$)/
		        	}
		       	]
			}		
		}
	});
});