define(['angular', 'app'], function (angular, app) {
    "use strict";

    app.service('FitnessService', function ($q, $modal, AbstractFitnessService, FitnessServiceConstants) {
        var FitnessService = {};
        FitnessService.instances = {};

        FitnessService.initializedPromise = null;
        FitnessService.dataPointers = {
            assessments: null
        };

        FitnessService.instance = function (key) {
            if (!FitnessService.instances[key]) {
                FitnessService.instances[key] = new AbstractFitnessService(FitnessServiceConstants[key].extensions);
            }

            return FitnessService.instances[key];
        };

		FitnessService.openGoalsModal = function (details) {
			var defer = $q.defer(),
				modalInstance = $modal.open({
				windowTemplateUrl: 'src/ui-components/modals/helper/modal-window_template.html',
				templateUrl: 'src/ui-components/modals/set-goals/set-goals_template.html',
				controller:'SetGoalsModalController',
				resolve: {
					data: function () {
						return details;
					}
				}
			});

			modalInstance.result.then(function (editedGoal) {
				setGoalDetails(editedGoal, details);
				defer.resolve(details);
			}, function(){
				defer.reject();
			});

			return defer.promise;
		};

        function setGoalDetails(editedGoal, details) {
            details.activeFlag = editedGoal.startDate ? true : false;
            details.startDate = editedGoal.startDate || null;
			details.target = editedGoal.target;
            setGoalTarget('minutes', details);
            setGoalTarget('steps', details);
            setGoalTarget('miles', details);
        }

        function setGoalTarget(target, details) {
			if (!details.target[target]) {
				delete details.target[target]
			}
        }

        return FitnessService;
    });
});