define(['angular', 'app'], function (angular, app) {
	app.constant("FitnessServiceConstants", {
		// DEV NOTE: 'example1' matches key used in sample_constants.js and sample_module.js
		'fitnessActivities': {
			extensions: {
				object: {
					uidKey: '_id',
					dateKey : [{ from: 'activityDate' }],
					defaults : {
						type : null, 
						intensity : null, 
						notes : null,
				        value :  {
							minutes : null,
							steps : null,
							miles : null
				        }
					}
				},
				dependency: {
					linkTitles: {
						GET: 'fitness',
						POST: 'fitness'
					}
				},
				collection: {
					name: 'fitness-activities',
					objectType: 'FitnessActivities'
				}
			}
		}
	});

    app.constant('FitnessRemindersConstants', {
        'fitness-activity-reminders': {
            dependency : {
                linkTitles : {
                    GET : 'reminders-fitness-activity',
                    POST : 'reminders'
                }
            },
            object : {
                defaults : {
                    source : 'VA FitHeart - Fitness Activity'
                }
            }
        }
    });
});