define(['LearnMoreSummaryController', 'LearnMoreConstants'], function() {
	'use strict';

	describe("The Learn More Summary Controller", function (){
		var controller,
			scope,
			stateParams,
			section = "fitness",
			sectionName = "Fitness",
			featureName = "Learn More";

		beforeEach(function() {
			module('angularTemplateApp');
			inject(function($controller, $rootScope, $stateParams, $state) {
				scope = $rootScope.$new();
				stateParams = $stateParams;

				stateParams.section = section;
				$state.current.data = {
					appletName: featureName,
					paramSections: [{paramValue: section, sectionName: sectionName}]
				};

				controller = $controller('LearnMoreSummaryController', { $scope: scope });
			});
		});

		describe("when page is initialized", function() {
			it("should set the page header based on the section information", function() {
				expect(scope.sectionTitle).toBe(sectionName);
			});

			it("should set the feature name based on the section information", function() {
				expect(scope.featureName).toBe(featureName);
			});

			it("should extend the scope with information from constants", function() {
				expect(scope.groups).toBeDefined();
				expect(scope.groups.length).toBe(10);
			});
		});

		describe("when openLink is called", function () {
			beforeEach(function() {
				spyOn(window, 'open');
				scope.openLink('http://www.google.com');
			});

			it("should open the url passed to the function in a new window", function () {
				expect(window.open).toHaveBeenCalledWith('http://www.google.com', '_blank');
			});
		});
	});
});