define(['angular', 'app', 'moment'], function (angular, app) {
	'use strict';

	app.controller('NotificationsSummaryController', function ($scope, $filter, $state, $stateParams, NotificationsPreferencesService, NotificationsInstanceBuilderService, NotificationsConstants) {
		$scope.getDetails = function (item) {
			$stateParams.id = service.idGetter(item);

			if ($stateParams.id) {
				$state.go('^.detail', $stateParams);
				if(!item.readFlag) {
					var saveItem = angular.copy(item);
					saveItem.readFlag = true;
					service.save(saveItem);
				}
			}
		};

		$scope.preferenceDataPointers = NotificationsPreferencesService.dataPointers;
		angular.extend($scope, angular.copy(NotificationsConstants[$stateParams.section].summary));
		$scope.sectionTitle = $filter('filter')($state.current.data.paramSections, { paramValue: $stateParams.section }, true)[0].sectionName;
		$scope.noResultsMessage = 'No results found.';

		var service = NotificationsInstanceBuilderService.instance($stateParams.section),
			minDate = moment().subtract(1, 'year').format('L'),
			defaultMin = moment().subtract(30, 'day').format('L'),
			defaultMax = moment().format('L');

		$scope.allowedDateRange = { min: minDate };
		$scope.statusOptions = ['Unread', 'Read', 'All'];
		$scope.filter.service = service;
		$scope.filter.defaults.status = 'All';
		$scope.filter.defaults.startDate = defaultMin;
		$scope.filter.defaults.endDate = defaultMax;

		$scope.typeOptions = {
			nullLabel: 'All Notifications',
			options: [
				{label: 'VA FitHeart App Notices', value: 'FIT_HEART'},
				{label: 'VA Health Messages', value: 'STAFF'}
			]
		};

		$scope.table = {
			columns : [
				{
					ngIconClass: function (item) { return { 'icon-dot-indicator': !item.readFlag }; },
					class: { column: 'read-indicator-column hidden-xs' },
					cellTemplate: 'src/modules/notifications/pages/summary/partials/_icon.html',
					label: 'Status'
				},
				{ label: 'Notification', cellTemplate: 'src/modules/notifications/pages/summary/partials/_notification-column.html'}
			],
			rows : {
				ngClass: function (item) { return { 'bold-text': !item.readFlag }; }
			}
		};

		if ($stateParams.section === 'all-notifications') {
			$scope.table.columns.push({label: 'Source', keys: 'source', class: { column: 'hidden-xs' }});
		}
		$scope.table.columns.push({label: 'Date', cellTemplate: 'src/modules/notifications/pages/summary/partials/_date-column.html'});

		if (!service.dataPointers.list) {
			service.fetch($scope.filter.defaults);
		} else {
			service.fetch(service.dataPointers.filters);
		}
	});
});