define(['InputSelect'], function() {
	'use strict';

	describe('Input Select Directive', function () {
		var scope,
			isolateScope,
			elm,
			element,
			label = 'testLabel',
			name = 'testName',
			errorHandling = {
				'required' : {
					message: label + ' field is required.',
					priority: 1
				}
			};

		beforeEach(function () {
			module('angularTemplateApp');

			inject(function($templateCache) {
				$templateCache.put('src/ui-components/form/controls/simple/input-select/input-select_template.html', '<input />');
			});
		});

		describe('the directive', function () {
			beforeEach(function () {
				inject(function($rootScope, $compile) {
					scope = $rootScope;
					elm = "<input-select label='" + label + "' name='" + name + "' ng-model='scope.someValue'></input-select>";
					element = $compile(elm)(scope);
					scope.$digest();

					isolateScope = element.isolateScope();
					isolateScope.ngModel = 'fakeModel';
				});
			});

			it('should have isolateScope variables defined', function () {
				expect(isolateScope.label).toEqual(label);
				expect(isolateScope.name).toEqual(name);
				expect(isolateScope.errorHandling).toEqual(errorHandling);
			});
		});
	});
});