var tests = [];
for (var file in window.__karma__.files) {
	if (window.__karma__.files.hasOwnProperty(file)) {
		// Removed "Spec" naming from files
		if (/_spec\.js$/.test(file)) {
			tests.push(file);
		}
	}
}

requirejs.config({
	// Karma serves files from '/base'
	baseUrl: '/base/app/src',

	paths: {
		angularMocks					: '../libs/angular-mocks/js/angular-mocks',

		/*                  Libraries                    */
		'angular'						: '../libs/angular/js/angular',
		'angularSanitize'				: '../libs/angular-sanitize/js/angular-sanitize',
		'angularTouch'					: '../libs/angular-touch/js/angular-touch',
		'angularAnimate'				: '../libs/angular-animate/js/angular-animate',
		'jQuery'						: '../libs/jquery/js/jquery',
		'lodash'						: '../libs/lodash/js/lodash',
		'text'							: '../libs/requirejs-text/text',
		'angularUiUtils'				: '../libs/angular-ui-utils/js/ui-utils',
		'angularUiRouter'				: '../libs/angular-ui-router/js/angular-ui-router',
		'angularUiBootstrap'			: '../libs/angular-bootstrap/js/ui-bootstrap-tpls-custom',
		'angularBusy'					: '../libs/angular-busy/js/angular-busy',
		'snap'							: '../libs/snap/js/snap',
		'angularSnap'					: '../libs/angular-snap/js/angular-snap',
		'highstocks'					: '../libs/highstock/js/highstock.src',
		'highcharts-ng'					: '../libs/highcharts-ng/js/highcharts-ng',
		'clampjs'						: '../libs/Clamp.js/clamp',
		'moment'						: '../libs/moment/js/moment',
		'Modernizr'						: '../libs/modernizr/modernizr.custom',


		/*                  Decorations                    */
		'uiCollapseDirective'			: 'decorations/ui-collapse_decorator',

		/*                  Application                    */
		'appConfig'						: 'app-config',
		'app'							: '../../test/spec/appMock',
		'router'						: 'router',
		//templates is generated by grunt ngtemplate task
		'templates'						: 'templates',
		'ResponsiveDirective'			: 'ui-components/responsive/responsive_directive',


		/*                  Container                    */
		'MainController'				: 'container/main/main_controller',
		'HeaderController'				: 'container/components/header/header_controller',
		'FooterController'				: 'container/components/footer/footer_controller',
		'TwoPanelController'			: 'container/components/content/two-column_controller',
		'List'							: 'container/components/content/list/list_directive',
		'Menu'							: 'container/components/menu/menu_directive',
		'SecondaryNavigationController' : 'container/components/content/secondary-navigation/secondary-navigation_controller',

		/*                  Modules                    */
		//Home
		'HomeModule'					: 'modules/home/home_module',
		'HomePageConstants'				: 'modules/home/core/constants',
		'InitialSettingsController'		: 'modules/home/initial-settings/initial-settings_controller',
		'WeeklyGoalsService'			: 'modules/home/core/weekly-goals_service',
		'AbstractWeeklyGoalsService'	: 'modules/home/core/abstract-weekly-goals_service',
		'AuthenticatedUserController'	: 'modules/home/pages/authenticated-user/authenticated-user_controller',
		'UnauthenticatedUserController'	: 'modules/home/pages/unauthenticated-user/unauthenticated-user_controller',
		'FitnessModule'                  : 'modules/fitness/fitness_module',
		'FitnessConstants'               : 'modules/fitness/core/fitness_constants',
        'FitnessCongratsConstants'       : 'modules/fitness/core/fitness-congrats_constants',
		'FitnessService'                 : 'modules/fitness/core/fitness_service',
        'FitnessCongratsService'         : 'modules/fitness/core/fitness-congrats_service',
        'FitnessActivityController'      : 'modules/fitness/pages/summary/fitness-activity_controller',
        'FitnessActivityGraphService'    : 'modules/fitness/pages/summary/fitness-activity-graph_service',
        'FitnessEntryController'         : 'modules/fitness/pages/entry/fitness-entry_controller',
		'GoalGraphService'				 : 'modules/home/graphs/goal-graphs_service',
        'GoalGraphAccessibilityService'  : 'modules/home/graphs/goal-graphs-accessibility_service',
		'AbstractHealthMoodService'      : 'modules/health-mood/core/abstract-health-mood_service',
		'HealthMoodServiceConstants'     : 'modules/health-mood/core/health-mood-service_constants',
        'HealthMoodModule'               : 'modules/health-mood/health-mood_module',
		'HealthMoodConstants'            : 'modules/health-mood/core/health-mood_constants',
		'HealthMoodService'              : 'modules/health-mood/core/health-mood_service',
        'HealthMoodGraphService'         : 'modules/health-mood/core/health-mood-graph_service',
        'HealthMoodSummaryController'    : 'modules/health-mood/pages/summary/health-mood-summary_controller',
		'HealthMoodEntryController'      : 'modules/health-mood/pages/entry/health-mood-entry_controller',
		'RemindersService'				 : 'modules/health-mood/core/reminders_service',
        'HealthMoodRemindersInstanceService'     : 'modules/health-mood/core/health-mood-reminders-instance_service',
		'HealthMoodRemindersService'             : 'modules/health-mood/core/health-mood-reminders_service',
		'NotificationDeliveryDirective'          : 'modules/health-mood/pages/notification-status/notification-delivery-options/notification-delivery-options_directive',
		'HealthMoodNotificationStatusController' : 'modules/health-mood/pages/notification-status/health-mood-notification-status_controller',
        'FitnessRemindersInstanceService'        : 'modules/fitness/core/fitness-reminders-instance_service',
        'FitnessRemindersService'	             : 'modules/fitness/core/fitness-reminders_service',
        'FitnessNotificationStatusController'    : 'modules/fitness/pages/notification-status/fitness-notification-status_controller',
        'SupportModule'                  : 'modules/support/support_module',
		'SupportSummaryController'       : 'modules/support/pages/summary/support-summary_controller',
		'SupportConstants'       		 : 'modules/support/core/support_constants',
		'LearnMoreModule'                : 'modules/learn-more/learn-more_module',
		'LearnMoreConstants'             : 'modules/learn-more/core/learn-more_constants',
		'LearnMoreSummaryController'     : 'modules/learn-more/pages/summary/learn-more-summary_controller',
		'NotificationsModule'            : 'modules/notifications/notifications_module',
		'NotificationsConstants'         : 'modules/notifications/core/notifications_constants',
		'NotificationsService'           : 'modules/notifications/core/notifications_service',
		'NotificationsInstanceBuilderService'	: 'modules/notifications/core/notifications-instance-builder_service',
		'NotificationsSummaryController' : 'modules/notifications/pages/summary/notifications-summary_controller',
		'NotificationsDetailsController' : 'modules/notifications/pages/detail/notifications-details_controller',
		'NotificationSettingsController' : 'modules/notifications/pages/notification-settings/notification-settings_controller',
		'NotificationSettingsService'	 : 'modules/notifications/pages/notification-settings/notification-settings_service',

		/*                  Core Components                    */
		'httpInterceptor'				: 'core/connection/httpInterceptor',
		'connection_error_service'		: 'core/connection/connection_error_service',
		'connection_timeout_service'	: 'core/connection/connection_timeout_service',
		'delayManager'					: 'core/connection/delay_factory',
		'NotificationsPreferencesService' : 'core/resources/notifications-preferences_service',

		'EulaController'				: 'core/eula/eula_controller',
		'eula_service'					: 'core/eula/eula_service',

		'localResourceDirectoryService'	: 'core/resources/local-resource-directory_service',
		'mhpuser_service'				: 'core/resources/mhpuser_service',
		'patient'						: 'core/resources/patient_service',
		'resourcedirectory_service'		: 'core/resources/resourcedirectory_service',

		'AbstractCRUDService'           : 'core/services/abstract-crud_service',
		'CollectionCRUDService'		    : 'core/services/collection-crud_service',
		'BaseCRUDService'               : 'core/services/base-crud_service',
		'global'						: 'core/services/global',
		'formatter'						: 'core/services/formatter',
		'authentication_service'		: 'core/services/auth_service',
		'unsavedChanges'				: 'core/services/unsaved_changes',
		'focusManager'					: 'core/services/focus_directive',

		/*                  ui-components                         */
		'NavBar'						: 'ui-components/nav-bar/nav-bar_directive',
		'EntryForm'						: 'ui-components/form/entry-form/entry-form_directive',

		'FormControlWrapper'			: 'ui-components/form/controls/core/form-control-wrapper/form-control-wrapper_directive',
		'iOSKeyboard'					: 'ui-components/form/controls/core/iOS-keyboard/iOS-keyboard_directive',

		'InputRange'					: 'ui-components/form/controls/simple/input-range/input-range_directive',
		'InputSelect'					: 'ui-components/form/controls/simple/input-select/input-select_directive',
		'InputText'						: 'ui-components/form/controls/simple/input-text/input-text_directive',
		'InputNumber'					: 'ui-components/form/controls/simple/input-number/input-number_directive',
		'InputGroupCheckbox'			: 'ui-components/form/controls/simple/input-group-checkbox/input-group-checkbox_directive',
		'InputGroupRadio'				: 'ui-components/form/controls/simple/input-group-radio/input-group-radio_directive',
		'accessibleTimePickerServices'	: 'ui-components/form/controls/simple/accessibletimepicker/accessibletimepicker_directive',
		'CalendarDatePicker'			: 'ui-components/form/controls/simple/calendar-date-picker/calendar-date-picker_directive',

		'InputCalendarDatePicker'		: 'ui-components/form/controls/composite/input-calendar-date-picker/input-calendar-date-picker_directive',
		'TimeControls'					: 'ui-components/form/controls/composite/input-time-picker/time-controls_directive',
		'MultiTime'						: 'ui-components/form/controls/composite/input-multi-time-picker/multi-time_directive',

		'UserInputPattern'				: 'ui-components/form/validation/user-input-pattern/user-input-pattern_directive',
		'ValidationSummary'				: 'ui-components/form/validation/validation-summary/validation-summary',
		'ErrorHandling'					: 'ui-components/form/validation/validation-summary/error-handling_directive',
		'RequiredField'					: 'ui-components/form/validation/required-field-indicator/required-field-indicator_directive',

		'modalService'					: 'ui-components/modals/helper/modal_service',
		'HelpController'				: 'ui-components/modals/help/help_controller',
		'AboutController'				: 'ui-components/modals/about/about_controller',
		'SetGoalsModalController'		: 'ui-components/modals/set-goals/set-goals_controller',

		'FilterButton'					: 'ui-components/filter-button/filter-button_directive',
		'FilterWrapper'					: 'ui-components/filter/filter-wrapper_directive',
		'StatusFilter'					: 'ui-components/filter/status-filter/status-filter_directive',

		'AriaHidden'					: 'ui-components/accessibility/aria-hidden/aria-hidden_directive',

		'aDirecitve'					: 'ui-components/html-extensions/a_directive',
		'iDirecitve'					: 'ui-components/html-extensions/i_directive',

		'clamp'							: 'ui-components/line-clamp/clamp_directive',

		'DataTableDirective'			: 'ui-components/table/table_directive',

		'BackButton'					: 'ui-components/back-button/back-button_directive',

		'AccessibleAccordion'			: 'ui-components/accordion/accessibleaccordion_directive'
	},

	shim: {
		'jQuery'				: {exports: '$'},
		'angular'				: {deps: ['jQuery'], 'exports': 'angular'},
		'angularRoute'			: ['angular'],
		'angularCookies'		: ['angular'],
		'angularAnimate'		: ['angular'],
		'angularSanitize'		: ['angular'],
		'angularResource'		: ['angular'],
		'angularUiRouter'		: ['angular'],
		'angularUiBootstrap'	: ['angular'],
		'angularBusy'			: ['angular'],
		'angularTouch'			: ['angular'],
		'app'					: { deps: ['angular'], exports: 'app' },
		'Modernizr'				: { exports: 'Modernizr' },
		'main_controller'		: {
									deps: ['app'],
									exports: 'main_controller'
								},
		'eula_service': 			{
									deps: ['app', 'jQuery'],
									exports: 'service'
								},
		'eula_controller': 		{
									deps: ['app', 'eula_service'],
									exports: 'eula_controller'
								},
		'angularMocks': 		{
									deps: ['angular'],
									'exports': 'angular.mock'
								}
	},
 map: {
    "*": {
        "jquery": "jQuery"
    }
   },
	// ask Require.js to load these files (all our tests)
	deps: tests,

	// start test run, once Require.js is done
	callback: window.__karma__.start
});